...

View Full Version : MY IT Group says we can't run CGI/PERL..



ipac
09-25-2002, 07:14 PM
hi,
I just created a CGI/PERL script, moved it to the CGI-BIN but it does not work because the first line(#!/usr/bin/perl) is getting and error. I asked my IT dept to give me the actual Path and I was told that we don't have perl????? ..I thought this is part of the NT value pack when you create a MIIS server!!!!! Am I getting the run around or are they right???

fivesidecube
09-25-2002, 08:37 PM
ipaq,
I thought this is part of the NT value packI don't think it is part of the value pack, but you can download it for free from ActiveState (http://www.activestate.com/)!

Hope this means that you can get it installed!

CandlelightWeb
10-05-2002, 05:32 AM
When running Perl scripts on NT servers you do not need that first line. NT servers will know what to do with it. Take out the first line and try it again.

fivesidecube
10-06-2002, 11:06 AM
ipac,

I have found that apache needs the line to work! Although CandlelightWeb has spotted an error. The path should be corrected to point to the PERL exe.

Fivesidecube.

ipac
10-07-2002, 05:29 PM
thank you for the help. i downloaded the perl from the site you gave me but I did take out the first line as CandlelightWeb indicated to make it work. It's true that MIIS NT servers don't need the first line. But I also have to include a line "LS Simple" or something like that to get my CGI working. Thanks everyone for the help.



EZ Archive Ads Plugin for vBulletin Copyright 2006 Computer Help Forum